<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
?>

	<div id="view-FormWrapper" class="view-wrapper">
		<div class="tr-wrapper">
			<div class="td-full">
				<h4 class="divider">Tag Settings</h4>
			</div>
		</div>
		
		<div class="tr-wrapper tr-color wrapper">
			<div id="tagExclude" class="inner-table-content">
				<div class="inner-row-wrapper">
					<div class="inner-row-label">
						<h5>Exclude Tags</h5>
					</div>
					<div class="inner-row-content">
						<?php
						$exlude_tags = explode(',', $this->options['vehicle_management_system']['tags']['exclude']);
						$content = ''; $tags = array();
						$tags = cdp_plugin::$db_caller->cdp_db_init('tags', array());
						$content .= '<ul id="admin-multi-select-tags" class="admin-multi-select" tag="tags">';
						if( $tags ){
							foreach($tags as $tag){
								if( $tag ){
									$active = (in_array($tag, $exlude_tags)? 'selected':'');
									$content .= '<li class="admin-multi-select-item '.$active.'" name="'.$tag.'">'.$tag.'<span class="admin-select-checkbox">'. ($active? 'X': '') .'</span></li>';	
								}
							}
						}
						$content .= '</ul>';
						echo $content;
						?>
						<div class="admin-init-options">
							<div class="tag-save init-ajax-save" tag='tags' name='vehicle_management_system/tags/exclude'>Save</div>
						</div>
					</div>
				</div>
			</div>
			
		</div>
		
		<button class="add-row-button tag-row-button" tag="tagRows">Add Custom Tag Image/Link</button>
		
		<div class="tr-wrapper tr-color wrapper">
			<div id="tagRows" class="inner-table-content">

				<?php
				$rows = get_tag_rows( $this->options[ 'vehicle_management_system' ][ 'tags' ][ 'data' ] );
				echo $rows;
				?>
			</div>
			<div class="ajax-loading-message">Loading Rows...</div>
		</div>
	</div>